com.mapinfo.midev.dp.file

## Interface IFileDataProvider

All Superinterfaces:
  IDataProvider

All Known Implementing Classes:
  NativeDataProvider, ShapeDataProvider

    public interface IFileDataProvider
    extends IDataProvider

All file based data providers have to implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`FileDataSourceDefinition` `createDataSourceDefinition(FileConnectionDefinition connectionDefinition)` Create a data source definition specific to the data source.

### Methods inherited from interface com.mapinfo.midev.data.IDataProvider

`openDataSource`

### Method Detail

#### createDataSourceDefinition

    FileDataSourceDefinition createDataSourceDefinition(FileConnectionDefinition connectionDefinition)

Create a data source definition specific to the data source.

Parameters:
  `connectionDefinition` - The connection definition for the data source definition.